ranges::v3::view::partial_sum_fn Struct Reference

## Synopsis of methods

constexpr view< partial_sum_fn > | partial_sum {}

## Public Types

template<typename Rng , typename Fun >
using | Concept = meta::and_< InputRange< Rng >, IndirectInvocable< Fun, iterator_t< Rng >, iterator_t< Rng > >, ConvertibleTo< result_of_t< Fun &(range_common_reference_t< Rng > &&, range_common_reference_t< Rng > &&)>, range_value_type_t< Rng > >>

## Public Member Functions

template<typename Rng , typename Fun , requires = (Concept<Rng, Fun>())>
partial_sum_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const